com.genesyslab.wfm7.API.service.calendar761

## Class CalItemInformation

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar761.CalItemInformation

- All Implemented Interfaces:
    java.io.Serializable

      public class CalItemInformation
      extends java.lang.Object
      implements java.io.Serializable

  Calendar Item information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int[]` | `activities` Activity array associated with the item if any
    `private int` | `activitiesArraySize` Activity array size
    `private int` | `actualStatus` Calendar item actual (resolved) status
    `private java.lang.String` | `actualStatusDescription` Reason description if item was declined
    `private int` | `agentId` Agent ID
    `private java.lang.String` | `comment` Descriptive text of the item
    `private double` | `date` Calendar item date
    `private int` | `duration` Calendar item duration
    `private double` | `endTime` Calendar item (resolved) end time
    `private int` | `flag` Calendar item flag `ECalFlags`
    `private int` | `fullDay` Full day indicator
    `private int` | `item` Calendar item type `ECalItems`
    `private int` | `itemId` Calendar item ID if any
    `private java.lang.String` | `itemName` Calendar item name (Shift name for Shift items)
    `private java.lang.String` | `itemShortName` Abbrevated item name
    `private int` | `itemType` Calendar item type
    `private int` | `paidTime` Calendar item (resolved) paid duration
    `private double` | `savedEndTime` Calendar item end time saved to DB
    `private int` | `savedPaidTime` Calendar item paid duration saved to DB
    `private double` | `savedStartTime` Calendar item start time saved to DB
    `private int` | `savedStatus` Saved (requested) Calendar item status
    `private int` | `siteId` Site ID
    `private double` | `startTime` Calendar item (resolved) start time
    `private double` | `submitDate` Date and time the Calendar item was submited
    `private long` | `timestamp` Timestamp value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalItemInformation()`
    `CalItemInformation(int siteId, int agentId, double date, int item, int itemId, double startTime, int duration, double endTime, int paidTime, int actualStatus, java.lang.String actualStatusDescription, int savedStatus, java.lang.String itemName, java.lang.String itemShortName, int itemType, double submitDate, java.lang.String comment, int flag, double savedStartTime, double savedEndTime, int savedPaidTime, int activitiesArraySize, int[] activities, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getActivities()` Gets the activities value for this CalItemInformation.
    `int` | `getActivitiesArraySize()` Gets the activitiesArraySize value for this CalItemInformation.
    `int` | `getActualStatus()` Gets the actualStatus value for this CalItemInformation.
    `java.lang.String` | `getActualStatusDescription()` Gets the actualStatusDescription value for this CalItemInformation.
    `int` | `getAgentId()` Gets the agentId value for this CalItemInformation.
    `java.lang.String` | `getComment()` Gets the comment value for this CalItemInformation.
    `double` | `getDate()` Gets the date value for this CalItemInformation.
    `int` | `getDuration()` Gets the duration value for this CalItemInformation.
    `double` | `getEndTime()` Gets the endTime value for this CalItemInformation.
    `int` | `getFlag()` Gets the item value for this CalItemShortInformation.
    `int` | `getFullDay()` Gets the item value for this CalItemShortInformation.
    `int` | `getItem()` Gets the item value for this CalItemInformation.
    `int` | `getItemId()` Gets the itemId value for this CalItemInformation.
    `java.lang.String` | `getItemName()` Gets the itemName value for this CalItemInformation.
    `java.lang.String` | `getItemShortName()` Gets the itemShortName value for this CalItemInformation.
    `int` | `getItemType()` Gets the itemType value for this CalItemInformation.
    `int` | `getPaidTime()` Gets the paidTime value for this CalItemInformation.
    `double` | `getSavedEndTime()` Gets the savedEndTime value for this CalItemInformation.
    `int` | `getSavedPaidTime()` Gets the savedPaidTime value for this CalItemInformation.
    `double` | `getSavedStartTime()` Gets the savedStartTime value for this CalItemInformation.
    `int` | `getSavedStatus()` Gets the savedStatus value for this CalItemInformation.
    `int` | `getSiteId()` Gets the siteId value for this CalItemInformation.
    `double` | `getStartTime()` Gets the startTime value for this CalItemInformation.
    `double` | `getSubmitDate()` Gets the submitDate value for this CalItemInformation.
    `long` | `getTimestamp()` Gets the timestamp value for this CalItemShortInformation.
    `void` | `setActivitiesArraySize(int activitiesArraySize)` Sets the activitiesArraySize value for this CalItemInformation.
    `void` | `setActualStatus(int actualStatus)` Sets the actualStatus value for this CalItemInformation.
    `void` | `setActualStatusDescription(java.lang.String actualStatusDescription)` Sets the actualStatusDescription value for this CalItemInformation.
    `void` | `setAgentId(int agentId)` Sets the agentId value for this CalItemInformation.
    `void` | `setComment(java.lang.String comment)` Sets the comment value for this CalItemInformation.
    `void` | `setDate(double date)` Sets the date value for this CalItemInformation.
    `void` | `setDuration(int duration)` Sets the duration value for this CalItemInformation.
    `void` | `setEndTime(double endTime)` Sets the endTime value for this CalItemInformation.
    `void` | `setFlag(int flag)` Sets the item value for this CalItemShortInformation.
    `void` | `setFullDay(int fullDay)` Sets the item value for this CalItemShortInformation.
    `void` | `setItem(int item)` Sets the item value for this CalItemInformation.
    `void` | `setItemId(int itemId)` Sets the itemId value for this CalItemInformation.
    `void` | `setItemName(java.lang.String itemName)` Sets the itemName value for this CalItemInformation.
    `void` | `setItemShortName(java.lang.String itemShortName)` Sets the itemShortName value for this CalItemInformation.
    `void` | `setItemType(int itemType)` Sets the itemType value for this CalItemInformation.
    `void` | `setPaidTime(int paidTime)` Sets the paidTime value for this CalItemInformation.
    `void` | `setSavedEndTime(double savedEndTime)` Sets the savedEndTime value for this CalItemInformation.
    `void` | `setSavedPaidTime(int savedPaidTime)` Sets the savedPaidTime value for this CalItemInformation.
    `void` | `setSavedStartTime(double savedStartTime)` Sets the savedStartTime value for this CalItemInformation.
    `void` | `setSavedStatus(int savedStatus)` Sets the savedStatus value for this CalItemInformation.
    `void` | `setSiteId(int siteId)` Sets the siteId value for this CalItemInformation.
    `void` | `setStartTime(double startTime)` Sets the startTime value for this CalItemInformation.
    `void` | `setSubmitDate(double submitDate)` Sets the submitDate value for this CalItemInformation.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CalItemShortInformation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### siteId

          private int siteId

      Site ID

    - #### agentId

          private int agentId

      Agent ID

    - #### date

          private double date

      Calendar item date

    - #### item

          private int item

      Calendar item type `ECalItems`

    - #### itemId

          private int itemId

      Calendar item ID if any

    - #### startTime

          private double startTime

      Calendar item (resolved) start time

    - #### duration

          private int duration

      Calendar item duration

    - #### endTime

          private double endTime

      Calendar item (resolved) end time

    - #### paidTime

          private int paidTime

      Calendar item (resolved) paid duration

    - #### actualStatus

          private int actualStatus

      Calendar item actual (resolved) status

    - #### actualStatusDescription

          private java.lang.String actualStatusDescription

      Reason description if item was declined

    - #### savedStatus

          private int savedStatus

      Saved (requested) Calendar item status

    - #### itemName

          private java.lang.String itemName

      Calendar item name (Shift name for Shift items)

    - #### itemShortName

          private java.lang.String itemShortName

      Abbrevated item name

    - #### itemType

          private int itemType

      Calendar item type

    - #### submitDate

          private double submitDate

      Date and time the Calendar item was submited

    - #### comment

          private java.lang.String comment

      Descriptive text of the item

    - #### activitiesArraySize

          private int activitiesArraySize

      Activity array size

    - #### activities

          private int[] activities

      Activity array associated with the item if any

    - #### timestamp

          private long timestamp

      Timestamp value

    - #### flag

          private int flag

      Calendar item flag `ECalFlags`

    - #### savedStartTime

          private double savedStartTime

      Calendar item start time saved to DB

    - #### savedEndTime

          private double savedEndTime

      Calendar item end time saved to DB

    - #### savedPaidTime

          private int savedPaidTime

      Calendar item paid duration saved to DB

    - #### fullDay

          private int fullDay

      Full day indicator

  - ### Constructor Detail

    - #### CalItemInformation

          public CalItemInformation()

    - #### CalItemInformation

          public CalItemInformation(int siteId,
                            int agentId,
                            double date,
                            int item,
                            int itemId,
                            double startTime,
                            int duration,
                            double endTime,
                            int paidTime,
                            int actualStatus,
                            java.lang.String actualStatusDescription,
                            int savedStatus,
                            java.lang.String itemName,
                            java.lang.String itemShortName,
                            int itemType,
                            double submitDate,
                            java.lang.String comment,
                            int flag,
                            double savedStartTime,
                            double savedEndTime,
                            int savedPaidTime,
                            int activitiesArraySize,
                            int[] activities,
                            long timestamp)

  - ### Method Detail

    - #### getSiteId

          public int getSiteId()

      Gets the siteId value for this CalItemInformation.
      Returns:
        siteId Site ID

    - #### setSiteId

          public void setSiteId(int siteId)

      Sets the siteId value for this CalItemInformation.
      Parameters:
        `siteId` - Site ID

    - #### getAgentId

          public int getAgentId()

      Gets the agentId value for this CalItemInformation.
      Returns:
        agentId Agent ID

    - #### setAgentId

          public void setAgentId(int agentId)

      Sets the agentId value for this CalItemInformation.
      Parameters:
        `agentId` - Agent ID

    - #### getDate

          public double getDate()

      Gets the date value for this CalItemInformation.
      Returns:
        date Calendar item date

    - #### setDate

          public void setDate(double date)

      Sets the date value for this CalItemInformation.
      Parameters:
        `date` - Calendar item date

    - #### getItem

          public int getItem()

      Gets the item value for this CalItemInformation.
      Returns:
        item Calendar item type
      See Also:
        `ECalItems`

    - #### setItem

          public void setItem(int item)

      Sets the item value for this CalItemInformation.
      Parameters:
        `item` - Calendar item type
      See Also:
        `ECalItems`

    - #### getItemId

          public int getItemId()

      Gets the itemId value for this CalItemInformation.
      Returns:
        itemId Calendar item ID if any

    - #### setItemId

          public void setItemId(int itemId)

      Sets the itemId value for this CalItemInformation.
      Parameters:
        `itemId` - Calendar item ID if any

    - #### getStartTime

          public double getStartTime()

      Gets the startTime value for this CalItemInformation.
      Returns:
        startTime Calendar item start time

    - #### setStartTime

          public void setStartTime(double startTime)

      Sets the startTime value for this CalItemInformation.
      Parameters:
        `startTime` - Calendar item start time

    - #### getDuration

          public int getDuration()

      Gets the duration value for this CalItemInformation.
      Returns:
        duration Calendar item duration

    - #### setDuration

          public void setDuration(int duration)

      Sets the duration value for this CalItemInformation.
      Parameters:
        `duration` - Calendar item duration

    - #### getEndTime

          public double getEndTime()

      Gets the endTime value for this CalItemInformation.
      Returns:
        endTime Calendar item end time

    - #### setEndTime

          public void setEndTime(double endTime)

      Sets the endTime value for this CalItemInformation.
      Parameters:
        `endTime` - Calendar item end time

    - #### getPaidTime

          public int getPaidTime()

      Gets the paidTime value for this CalItemInformation.
      Returns:
        paidTime Calendar item paid duration

    - #### setPaidTime

          public void setPaidTime(int paidTime)

      Sets the paidTime value for this CalItemInformation.
      Parameters:
        `paidTime` - Calendar item paid duration

    - #### getActualStatus

          public int getActualStatus()

      Gets the actualStatus value for this CalItemInformation.
      Returns:
        actualStatus Calendar item actual status
      See Also:
        `ECalActualStatuses`

    - #### setActualStatus

          public void setActualStatus(int actualStatus)

      Sets the actualStatus value for this CalItemInformation.
      Parameters:
        `actualStatus` - Calendar item actual status
      See Also:
        `ECalActualStatuses`

    - #### getActualStatusDescription

          public java.lang.String getActualStatusDescription()

      Gets the actualStatusDescription value for this CalItemInformation.
      Returns:
        actualStatusDescription Reason description if item was declined

    - #### setActualStatusDescription

          public void setActualStatusDescription(java.lang.String actualStatusDescription)

      Sets the actualStatusDescription value for this CalItemInformation.
      Parameters:
        `actualStatusDescription` - Reason description if item was declined

    - #### getSavedStatus

          public int getSavedStatus()

      Gets the savedStatus value for this CalItemInformation.
      Returns:
        savedStatus Calendar item saved status

    - #### setSavedStatus

          public void setSavedStatus(int savedStatus)

      Sets the savedStatus value for this CalItemInformation.
      Parameters:
        `savedStatus` - Calendar item saved status

    - #### getItemName

          public java.lang.String getItemName()

      Gets the itemName value for this CalItemInformation.
      Returns:
        itemName Calendar item name

    - #### setItemName

          public void setItemName(java.lang.String itemName)

      Sets the itemName value for this CalItemInformation.
      Parameters:
        `itemName` - Calendar item name

    - #### getItemShortName

          public java.lang.String getItemShortName()

      Gets the itemShortName value for this CalItemInformation.
      Returns:
        itemShortName Calendar item short name

    - #### setItemShortName

          public void setItemShortName(java.lang.String itemShortName)

      Sets the itemShortName value for this CalItemInformation.
      Parameters:
        `itemShortName` - Calendar item short name

    - #### getItemType

          public int getItemType()

      Gets the itemType value for this CalItemInformation.
      Returns:
        itemType Calendar item type ID if any

    - #### setItemType

          public void setItemType(int itemType)

      Sets the itemType value for this CalItemInformation.
      Parameters:
        `itemType` - Calendar item type ID

    - #### getSubmitDate

          public double getSubmitDate()

      Gets the submitDate value for this CalItemInformation.
      Returns:
        submitDate Calendar item submition date and time

    - #### setSubmitDate

          public void setSubmitDate(double submitDate)

      Sets the submitDate value for this CalItemInformation.
      Parameters:
        `submitDate` - Calendar item submition date and time

    - #### getComment

          public java.lang.String getComment()

      Gets the comment value for this CalItemInformation.
      Returns:
        comment Calendar item comment

    - #### setComment

          public void setComment(java.lang.String comment)

      Sets the comment value for this CalItemInformation.
      Parameters:
        `comment` - Calendar item comment

    - #### getSavedStartTime

          public double getSavedStartTime()

      Gets the savedStartTime value for this CalItemInformation.
      Returns:
        savedStartTime Start time stored in DB

    - #### setSavedStartTime

          public void setSavedStartTime(double savedStartTime)

      Sets the savedStartTime value for this CalItemInformation.
      Parameters:
        `savedStartTime` - Start time stored in DB

    - #### getSavedEndTime

          public double getSavedEndTime()

      Gets the savedEndTime value for this CalItemInformation.
      Returns:
        savedEndTime End time stored in DB

    - #### setSavedEndTime

          public void setSavedEndTime(double savedEndTime)

      Sets the savedEndTime value for this CalItemInformation.
      Parameters:
        `savedEndTime` - End time stored in DB

    - #### getSavedPaidTime

          public int getSavedPaidTime()

      Gets the savedPaidTime value for this CalItemInformation.
      Returns:
        savedPaidTime Paid time stored in DB

    - #### setSavedPaidTime

          public void setSavedPaidTime(int savedPaidTime)

      Sets the savedPaidTime value for this CalItemInformation.
      Parameters:
        `savedPaidTime` - Paid time stored in DB

    - #### getActivitiesArraySize

          public int getActivitiesArraySize()

      Gets the activitiesArraySize value for this CalItemInformation.
      Returns:
        activitiesArraySize Calendar item related Activities array size

    - #### setActivitiesArraySize

          public void setActivitiesArraySize(int activitiesArraySize)

      Sets the activitiesArraySize value for this CalItemInformation.
      Parameters:
        `activitiesArraySize` - Calendar item related Activities array size

    - #### getActivities

          public int[] getActivities()

      Gets the activities value for this CalItemInformation.
      Returns:
        activities Calendar item related Activities array

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CalItemShortInformation.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CalItemShortInformation.
      Parameters:
        `timestamp` -

    - #### getFlag

          public int getFlag()

      Gets the item value for this CalItemShortInformation.
      Returns:
        flag Calendar item flag
      See Also:
        `ECalFlags`

    - #### setFlag

          public void setFlag(int flag)

      Sets the item value for this CalItemShortInformation.
      Parameters:
        `flag` - Calendar item flag
      See Also:
        `ECalFlags`

    - #### getFullDay

          public int getFullDay()

      Gets the item value for this CalItemShortInformation.
      Returns:
        fullDay Full day indicator

    - #### setFullDay

          public void setFullDay(int fullDay)

      Sets the item value for this CalItemShortInformation.
      Parameters:
        `fullDay` - Full day indicator

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.